#ifndef TROLL_H
#define TROLL_H

#include "collision.h"



#define TROLL_TOTAL_DISTANCE 2.0
#define TROLL_MAX_LEVEL 5



typedef struct TROLL TROLL;



int init_troll(DATAFILE *data);
void troll_set_difficulty(int d);
int troll_get_difficulty();
float troll_get_distance();
void troll_add_hit();
int troll_is_defeated();
COLLISION_RESULT troll_get_collision(COLLISION_DATA *c);
void update_troll();
void draw_troll();
void draw_troll_advance();
void end_troll();



#endif
