#ifndef COLLISION_H
#define COLLISION_H



#include "util.h"



typedef struct COLLISION_DATA COLLISION_DATA;
typedef struct COLLISION_RESULT COLLISION_RESULT;



struct COLLISION_DATA {
    float x, y;
    float r;
};



struct COLLISION_RESULT {
    DIRECTION vertical;
    DIRECTION horizontal;
    float d;
    int collision;
};



COLLISION_RESULT check_collision(COLLISION_DATA *c1, COLLISION_DATA *c2);



#endif
