#include <allegro.h>
#include <alleggl.h>

#include "parody.h"
#include "resources.h"



#define MAX_RESOURCES 13


static GLuint resources[MAX_RESOURCES];
static int indexes[MAX_RESOURCES] = {
    DAT_BALLOON,
    DAT_BG,
    DAT_EGG,
    DAT_PLATFORM,
    DAT_PLAYER_FALL,
    DAT_PLAYER_JUMP,
    DAT_PLAYER_SHOOT,
    DAT_PLAYER_STAND,
    DAT_TROLL,
    OPTIONS_1,
    OPTIONS_2,
};



int load_resources(DATAFILE *data) {
    int i;
    BITMAP *bmp;

/*    for (i = 0; i < MAX_RESOURCES; i++) {
        bmp = (BITMAP *) data[indexes[i]].dat;
        resources[indexes[i]] = allegro_gl_make_masked_texture(bmp);
    } */

    /* quick and dirty hack */

    char *files[MAX_RESOURCES] = {
        "balloon.bmp",
        "bg.bmp",
        "egg.bmp",
        "plat.bmp",
        "dragon_f.bmp",
        "dragon_j.bmp",
        "dragon_s.bmp",
        "dragon.bmp",
        "troll.bmp",
        "menu_1.bmp",
        "menu_2.bmp",
        NULL,
        NULL,
    };

    for (i = 0; i < MAX_RESOURCES; i++) {
        if (files[i]) {
            bmp = load_bitmap(files[i], NULL);
            resources[indexes[i]] = allegro_gl_make_masked_texture(bmp);
        }
    }
}



GLuint get_resource(int index) {
    return resources[index];
}
